repos:
  - repo: https://github.com/psf/black
    rev: 22.3.0
    hooks:
      - id: black
        exclude: ^tests/
        language_version: python3

  - repo: https://github.com/PyCQA/isort
    rev: 5.10.1
    hooks:
      - id: isort
        args:
          - --profile=black
        files: \.py$
        language_version: python3

  - repo: https://github.com/pycqa/flake8
    rev: 3.9.2
    hooks:
      - id: flake8
        exclude: ^tests/
        language_version: python3
        args:
          - --max-line-length=112
          - --max-complexity=25

  - repo: https://github.com/pre-commit/mirrors-mypy
    rev: v0.961
    hooks:
      - id: mypy
        exclude: ^tests/
        args:
          - --ignore-missing-imports
          - --install-types # See mirrors-mypy README.md
          - --non-interactive
          - --no-strict-optional

  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.1.0
    hooks:
      - id: trailing-whitespace
      - id: end-of-file-fixer
      - id: check-yaml
